ECHO OFF
PROMPT $P$G
CLS
IF "%1" == "" GOTO ABORTIT
IF "%2" == "" GOTO ABORTIT
IF "%2" == "B:" GOTO ABORTIT 
IF "%2" == "A:" GOTO ABORTIT

IF EXIST %1FOXSCRN.COM GOTO ANYDRIVE  
CLS
GOTO END

:ANYDRIVE
CLS
ECHO.
ECHO.
ECHO     *******************************************************************
ECHO     *                                                                 *
ECHO     *                                                                 *
ECHO     *         NOTICE - - -                                            *
ECHO     *                                                                 *
ECHO     *                                                                 *
ECHO     *        THIS SOFTWARE IS LICENSED TO THE ORIGINAL PURCHASER      *
ECHO     *                                                                 *
ECHO     *        FOR USE ON ONE SINGLE OR MULTI-USER COMPUTER ONLY.       *
ECHO     *                                                                 *
ECHO     *        ANY OTHER USE OR TRANSFER OF THIS PROGRAM IS A VIO-      *
ECHO     *                                                                 *
ECHO     *        LATION OF FEDERAL COPYRIGHT LAW.  PENALTIES FOR UN-      *
ECHO     *                                                                 *
ECHO     *        LAWFUL TRANSFER OF THIS SOFTWARE IS PUNISHABLE BY        *
ECHO     *                                                                 *
ECHO     *        FINES UP TO $100,000 PER OFFENSE.  PRESS ANY KEY         *
ECHO     *                                                                 *
ECHO     *        TO ACCEPT THIS LICENSE AND COPYRIGHT STATEMENT.          *                              
ECHO     *******************************************************************
ECHO.
ECHO.
PAUSE
CLS
CLS
ECHO.
ECHO.
ECHO     *******************************************************************
ECHO     *                                                                 *
ECHO     *                                                                 *
ECHO     *         NOTICE - - -                                            *
ECHO     *                                                                 *
IF "%3" == "N" ECHO     *         This is the network version of the loading !            *    
IF "%3" == "n" ECHO     *         This is the network version of the loading !            * 
IF "%3" == "N" ECHO     *                                                                 *
IF "%3" == "n" ECHO     *                                                                 *
ECHO     *                                                                 *
ECHO     *         PER YOUR LOADING COMMAND INSTRUCTIONS  -                *
ECHO     *                                                                 *
ECHO     *         THE COLLEGE IN YOUR CLINIC SOFTWARE IS READY TO         *
ECHO     *                                                                 *
ECHO     *         LOAD FROM THE %1 DRIVE TO THE %2 DRIVE.....             *
ECHO     *                                                                 *
ECHO     *         IF THIS IS NOT DESIRED OR FOR ANY OTHER REASON          *
ECHO     *                                                                 *
ECHO     *         TO STOP THIS LOADING PROCESS - PRESS CTRL + C           *
ECHO     *                                                                 *    
ECHO     *******************************************************************
ECHO.
ECHO.
PAUSE
CLS
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO      We are testing the ability of your computer to display 256
echo      colors.  You will see a message that a screen driver is loaded
echo      and at the end of the first line it should indicate that it is
echo      loaded in 256 color.  If you see any other message, refer to
echo      the installation booklet for screen driver controls.
echo.
ECHO      After reading this -
pause
cls
%1\FOXSCRN -L
ECHO.
ECHO      If not 256 color, press Ctrl + C now to abort.
ECHO ELSE
PAUSE
cls
%1\FOXSCRN -U -T
IF NOT EXIST %2\COLLEGE\NUL MD %2\COLLEGE
IF NOT EXIST %2\COLLEGE\TEMPS\NUL MD %2\COLLEGE\TEMPS
ECHO.
ECHO.
ECHO  We are testing the memory and DOS version of your computer.
echo  The displayed version should be DOS Ver 5 or up.  If not we 
echo  will display a error message if the HIMEM.SYS file that allows
echo  use of upper memory is not loaded.  Then we will display the
echo  upper memory configured on this computer. If it does not have
echo  at least 1,240,000 bytes available XMS memory, this system 
echo  will not allow the graphics to display.
echo.
ECHO  After reading this -
pause
cls
IF NOT EXIST %2\DOS\HIMEM.SYS ECHO  HIMEM not found in DOS directory and an upper memory manager
IF NOT EXIST %2\DOS\HIMEM.SYS ECHO  Must be used to allow this software to acces upper memory
VER
MEM
ECHO.
ECHO If not DOS 5.0 OR UP or if less than 1,500,000 available XMS
echo Press Ctrl + C to abort
ECHO ELSE
PAUSE
ECHO.
ECHO.

CLS
ECHO                          * * * * WORKING * * * *
%2
CD\COLLEGE
%1
IF EXIST %1\DATABASE.ZIP PKUNZIP -O DATABASE.ZIP %2\COLLEGE 
CLS
ECHO.
ECHO                 COMPLETEING THE MASTER LOADING FROM %1 DRIVE 
ECHO                            NOW LOADING TO %2\COLLEGE
ECHO.
COPY %1\FOXSCRN.COM %2\COLLEGE
COPY %1\COLLEGE.BAT %2\COLLEGE
COPY %1\*.MEM %2\COLLEGE
IF EXIST %1\CRSMAST.* COPY %1\CRSMAST.* %2\COLLEGE
IF EXIST %1\COLLEGEX.EXE COPY %1\COLLEGEX.EXE %2\COLLEGE

IF EXIST %1\COLLEGE.BAT COPY COLLEGE.BAT %2\
IF EXIST %1\COLLEGE.BAT COPY COLLEGE.BAT %2\COLLEGE

IF EXIST %2\COLLEGE\COLIN.BAT DEL %2\COLLEGE\COLIN.BAT
IF EXIST %2\COLIN.BAT DEL %2\COLIN.BAT
%2
CD\COLLEGE
%1
:END
CLS
